#ifndef __IO_DEFINE_H
#define __IO_DEFINE_H

/* Reset W5500 */
#define RCC_W5500_RST					RCC_AHB1Periph_GPIOA
#define GPIO_W5500_RST_PORT				GPIOA
#define GPIO_W5500_RST_Pin				GPIO_Pin_3

/* W5500 SPI Chip select output */
#define RCC_W5500_SCS					RCC_AHB1Periph_GPIOA
#define GPIO_W5500_SCS_PORT				GPIOA
#define GPIO_W5500_SCS_Pin				GPIO_Pin_15
#define W5500_SCS_LOW				    GPIO_ResetBits(GPIO_W5500_SCS_PORT, GPIO_W5500_SCS_Pin)
#define W5500_SCS_HIGH					GPIO_SetBits(GPIO_W5500_SCS_PORT, GPIO_W5500_SCS_Pin)

#define USART1_TX						GPIO_Pin_6
#define USART1_RX						GPIO_Pin_7

#define TRUE	0xffffffff
#define FALSE	0x00000000

#endif
